# frozen_string_literal: true

module Hermes
  module Tools
    # handle main_user_id for controllers
    module MainUserId
      def main_user_id_param
        if @user.has_role?('Demandeur')
          @user.id.to_s if params[:data][:attributes][:main_applicant_id]
        elsif @user.roles.any? { |role| %w[Administrator Entreprise].include?(role) }
          params[:data][:attributes][:main_user_id]
        end
      end
    end
  end
end

include Hermes::Tools::MainUserId
